import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { S as SyncEditorDataOptions } from './multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal-C3Tsa-9K.js';
export { A as ActionEvent, q as ChangedPages, w as CreateOrUpdateEditorMapperRequest, x as CreateOrUpdateEditorMapperResponse, C as CreateOrUpdateNileMapperRequest, g as CreateOrUpdateNileMapperResponse, j as DeleteEntityMapperRequest, k as DeleteEntityMapperResponse, B as DeleteMapperRequest, J as DeleteMapperResponse, D as DomainEvent, c as DomainEventBodyOneOf, E as Empty, d as EntityCreatedEvent, f as EntityDeletedEvent, e as EntityUpdatedEvent, F as FieldType, G as GetEntityMapperRequest, h as GetEntityMapperResponse, y as GetMapperRequest, z as GetMapperResponse, l as GetSubscribedTopicsRequest, m as GetSubscribedTopicsResponse, H as HtmlNewRevisionSavedMessage, I as IdentificationData, o as IdentificationDataIdOneOf, L as ListEntityMapperRequest, i as ListEntityMapperResponse, K as ListMappersRequest, N as ListMappersResponse, M as Mapper, a as MapperField, n as MessageEnvelope, P as Page, u as PublishSiteTranslationsRequest, v as PublishSiteTranslationsResponse, R as RestoreInfo, p as RevisionInfo, b as SequencePath, r as SyncEditorDataRequest, t as SyncEditorDataResponse, s as SyncFilter, W as WebhookIdentityType } from './multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal-C3Tsa-9K.js';

declare function syncEditorData$1(httpClient: HttpClient): SyncEditorDataSignature;
interface SyncEditorDataSignature {
    /**
     * Update localization content with editor data
     */
    (options?: SyncEditorDataOptions | undefined): Promise<void>;
}

declare const syncEditorData: MaybeContext<BuildRESTFunction<typeof syncEditorData$1> & typeof syncEditorData$1>;

export { SyncEditorDataOptions, syncEditorData };
